Summary: op5 Monitor plugin for locally checking hardware status via ipmi
Name: monitor-plugin-check_ipmi
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
Requires: ipmitool, sudo
%if 0%{?suse_version}
Requires: php53
%else
Requires: php-cli
%endif

BuildRoot: %{_tmppath}/%{name}-%{version}

%description
op5 Monitor/Nagios plugin for locally checking hardware status (fans, voltage) via ipmi.
It utilizes ipmitool to get results from kernel.

%prep
%setup -q

%build
%__make


%install
rm -rf %buildroot
make DESTDIR=%buildroot%prefix install
mkdir -p %buildroot/etc/sudoers.d
cp op5build/sudoer %buildroot/etc/sudoers.d/check_ipmi

%files
%defattr(-,root,root,-)
%attr(755, root, root) /opt/plugins/check_ipmi
%attr(440, root, root) /etc/sudoers.d/check_ipmi

%clean
rm -rf %buildroot


%changelog
* Mon May 27 2013 Anton Löfgren <alofgren@op5.com>
Initial repository migration packaging
